PTX(1)

NAME
ptx - Produce a permuted index of file contents Output a permuted index, including context, of the words in the input files. Mandatory arguments to long options are mandatory for short options too. With no FILE, or when FILE is -, read standard input. Default is '-F /'.

SYNOPSIS
ptx [-A|--auto-reference] [-G|--traditional] [-F|--flag-truncation] [-M|--macro-name] [-O ] [-T ] [-R|--right-side-refs] [-S|--sentence-regexp] [-W|--word-regexp] [-b|--break-file] [-f|--ignore-case] [-g|--gap-size] [-i|--ignore-file] [-o|--only-file] [-r|--references] [-t|--typeset-mode] [-w|--width] [-h|--help] [-V|--version] [file]

DESCRIPTION
Produce a permuted index of file contents Output a permuted index, including context, of the words in the input files. Mandatory arguments to long options are mandatory for short options too. With no FILE, or when FILE is -, read standard input. Default is '-F /'.

OPTIONS

-A, --auto-reference
    output automatically generated references

-G, --traditional
    behave more like System V 'ptx'

-F, --flag-truncation <STRING>
    use STRING for flagging line truncations

-M, --macro-name <STRING>
    macro name to use instead of 'xx'

-O  generate output as roff directives

-T  generate output as TeX directives

-R, --right-side-refs
    put references at right, not counted in -w

-S, --sentence-regexp <REGEXP>
    for end of lines or end of sentences

-W, --word-regexp <REGEXP>
    use REGEXP to match each keyword

-b, --break-file <FILE>
    word break characters in this FILE

-f, --ignore-case
    fold lower case to upper case for sorting

-g, --gap-size <NUMBER>
    gap size in columns between output fields

-i, --ignore-file <FILE>
    read ignore word list from FILE

-o, --only-file <FILE>
    read only word list from this FILE

-r, --references
    first field of each line is a reference

-t, --typeset-mode
    change the default width from 72 to 100

-w, --width <NUMBER>
    output width in columns, reference excluded

-h, --help
    Print help

-V, --version
    Print version

EXTRA
## Examples Generate a permuted index where the first field of each line is an index reference: ptx {{[-r|--references]}} {{path/to/file}} Generate a permuted index with automatically generated index references: ptx {{[-A|--auto-reference]}} {{path/to/file}} Generate a permuted index with a fixed width: ptx {{[-w|--width]}} {{width_in_columns}} {{path/to/file}} Generate a permuted index with a list of filtered words: ptx {{[-o|--only-file]}} {{path/to/filter}} {{path/to/file}} Generate a permuted index with SYSV-style behaviors: ptx {{[-G|--traditional]}} {{path/to/file}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0